import Tkinter as tk
import ttk

def create_gui():
    root = tk.Tk()
    grid = create_vals_grid(10,10)
    can = create_gui_grid(root, grid)
    can.grid(column=0, row=0, columnspan=3)
    val, entry = create_entry(root, 10)
    entry.grid(column=0, row=1)
    button = create_button(root, grid, val, "Press Me!")
    button.grid(column=1, row=1)
    quit = create_quit_button(root)
    quit.grid(column=2, row=1)
    return root

def create_vals_grid(h, w):
    gg = []
    for y in range(h):
        gg.append([])
        for x in range(w):
            gg[y].append(tk.StringVar())
    return gg

def create_gui_grid(root, grid):
    frame = tk.Frame(root)
    for h in range(len(grid)):
        for w in range(len(grid[0])):
            l = ttk.Label(frame, textvariable = grid[h][w])
            l.config(borderwidth=1, width=1, relief = "solid")
            l.grid(column = w, row = h)
    return frame

def create_entry(parent, w):
    val = tk.StringVar()
    entry = ttk.Entry(parent, width=w, textvariable=val)
    return val, entry

def create_button(parent, grid, entry, text):
    def f():
        s = str(entry.get())
        for i in range(len(s)):
            grid[0][i].set(s[i])
    button = ttk.Button(parent, text = text, command = f)
    return button

def create_quit_button(root):
    b = ttk.Button(root, text="Quit", command = root.quit)
    return b

if __name__ == "__main__":
    root = create_gui()
    root.mainloop()
